frames version welcome to ghost planet
both versions require JS1.1
(N3.0+ or MSIE4.0)
non-frames version
planet
pick your poison.
(the frames version is beefier.)
 






Last modified: 6 August 1997